<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide - Web Wiz Guestbook
'**                                                              
'**  Copyright 2001-2004 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  under the terms of the License that accompanies this software and use it both 
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program; 
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**    
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************


'Set the response buffer to true
Response.Buffer = True 

'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	
	'Reset Server Variables
	Set rsCommon = Nothing	
	adoCon.Close
	Set adoCon = Nothing
	
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'Dimension variables			
Dim strWebSiteName		'Holds the web site name
Dim strGuestbookPath 		'Holds the Guestbook path
      
      

'Read in the users colours for the Guesbook
strTitleImage = Request.Form("titleImage")
strBgColour = Request.Form("bg")
strTextColour = Request.Form("text")
strTextType = Request.Form("FontType")
intTextSize = CInt(Request.Form("FontSize"))
strTableColour = Request.Form("table")
strTableBorderColour = Request.Form("tableBorder")
strTableTitleColour = Request.Form("tableTitle")
strLinkColour = Request.Form("links")
strVisitedLinkColour = Request.Form("vLinks")
strHoverLinkColour = Request.Form("aLinks")
intRecordsPerPage = CInt(Request.Form("ComPerPage"))
intMsgCharNo = CInt(Request.Form("CharNo"))
blnCookieSet = CBool(Request.Form("Cookies"))
blnIPBlocking = CBool(Request.Form("IP"))
blnSessionCheck =  CBool(Request.Form("session"))
blnAuthorise = CBool(Request.Form("auth"))
blnURL =  CBool(Request.Form("URL"))
blnSecurityImages =  CBool(Request.Form("secureImg"))
blnEmailAddress =  CBool(Request.Form("addEmail"))


	
'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Configuration.* From " & strDbTable & "Configuration;"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3
	
'Query the database
rsCommon.Open strSQL, adoCon

'If the user is changing tthe colours then update the database
If Request.Form("postBack") Then
	
	'Update the recordset	
	rsCommon.Fields("bg_colour") = strBgColour
	rsCommon.Fields("text_colour") = strTextColour
	rsCommon.Fields("text_type") = strTextType
	rsCommon.Fields("text_size") = intTextSize
	rsCommon.Fields("table_colour") = strTableColour
	rsCommon.Fields("table_border_colour") = strTableBorderColour
	rsCommon.Fields("table_title_colour") = strTableTitleColour
	rsCommon.Fields("links_colour") = strLinkColour
	rsCommon.Fields("visited_links_colour") = strVisitedLinkColour
	rsCommon.Fields("active_links_colour") = strHoverLinkColour
	rsCommon.Fields("Comments_per_page") = intRecordsPerPage
	rsCommon.Fields("Title_image") = strTitleImage
	rsCommon.Fields("Message_char_no") = intMsgCharNo
	rsCommon.Fields("Cookie") = blnCookieSet
	rsCommon.Fields("IP_blocking") = blnIPBlocking
	rsCommon.Fields("Session") = blnSessionCheck
	rsCommon.Fields("Authorisation") = blnAuthorise
	rsCommon.Fields("URL") = blnURL
	rsCommon.Fields("Security_images") = blnSecurityImages
	rsCommon.Fields("Email") = blnEmailAddress
				
	'Update the database with the new user's colours
	rsCommon.Update
		
	'Re-run the query to read in the updated recordset from the database
	rsCommon.Requery	
End If

'Read in the Guestbook colours from the database
If NOT rsCommon.EOF Then
	
	'Read in the colour info from the database
	strBgColour = rsCommon.Fields("bg_colour")
	strTextColour = rsCommon.Fields("text_colour")
	strTextType = rsCommon.Fields("text_type")
	intTextSize = CInt(rsCommon.Fields("text_size"))
	strTableColour = rsCommon.Fields("table_colour")
	strTableBorderColour = rsCommon.Fields("table_border_colour")
	strTableTitleColour = rsCommon.Fields("table_title_colour")
	strLinkColour = rsCommon.Fields("links_colour")
	strVisitedLinkColour = rsCommon.Fields("visited_links_colour")
	strHoverLinkColour = rsCommon.Fields("active_links_colour")
	intRecordsPerPage = CInt(rsCommon.Fields("Comments_per_page"))
	strTitleImage = rsCommon.Fields("Title_image")
	intMsgCharNo = CInt(rsCommon.Fields("Message_char_no"))
	blnCookieSet = CBool(rsCommon.Fields("Cookie"))
	blnIPBlocking = CBool(rsCommon.Fields("IP_blocking"))
	blnSessionCheck = CBool(rsCommon.Fields("Session"))
	blnAuthorise = CBool(rsCommon.Fields("Authorisation"))
	blnURL = CBool(rsCommon.Fields("URL"))
	blnSecurityImages = rsCommon.Fields("Security_images")
	blnEmailAddress = rsCommon.Fields("Email")
End If


'Reset Server Variables
rsCommon.Close
Set rsCommon = Nothing	
adoCon.Close
Set adoCon = Nothing
%>  
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Configure the Guestbook</title>

<!-- The Web Wiz Guestbook v. <% = strVersion %> is written by Bruce Corkhill 2001-2004
    	 If you want your Guestbook then goto http://www.webwizguestbook.com --> 
		
<!-- Check the from is filled in correctly before submitting -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to check form is filled in correctly before submitting
function CheckForm () {


	//Check for a background colour
	if (document.frmConfiguration.bg.value==""){
		alert("Please enter a Background Colour");
		document.frmConfiguration.bg.focus();
		return false;
	}
	
	//Check for a text colour
	if (document.frmConfiguration.text.value==""){
		alert("Please enter a Text Colour");
		document.frmConfiguration.text.focus();
		return false;
	}
	
	//Check for a Table Background Colour
	if (document.frmConfiguration.table.value==""){
		alert("Please enter a Table Background Colour");
		document.frmConfiguration.table.focus();
		return false;
	}
	
	//Check for a Table Title Background Colour
	if (document.frmConfiguration.tableTitle.value==""){
		alert("Please enter a Table Title Background Colour");
		document.frmConfiguration.tableTitle.focus();
		return false;
	}
	
	//Check for a Table Border Colour
	if (document.frmConfiguration.tableBorder.value==""){
		alert("Please enter a Table Border Colour");
		document.frmConfiguration.tableBorder.focus();
		return false;
	}
	
	//Check for a Links
	if (document.frmConfiguration.links.value==""){
		alert("Please enter a Link Colour");
		document.frmConfiguration.links.focus();
		return false;
	}
	
	//Check for a Visited Links Colour
	if (document.frmConfiguration.vLinks.value==""){
		alert("Please enter a Visited Links Colour");
		document.frmConfiguration.vLinks.focus();
		return false;
	}
	
	//Check for a Active Links Colour
	if (document.frmConfiguration.aLinks.value==""){
		alert("Please enter a Active Links Colour");
		document.frmConfiguration.aLinks.focus();
		return false;
	}	
	
	return true
}
// -->
</script>
 
<link href="default_style_css.asp" rel="stylesheet" type="text/css" />
     	
</head>
<body bgcolor="#FFFFFF" text="#000000">
<h1 align="center">Configure the Guestbook</h1>
<div align="center"><a href="admin_menu.asp" target="_self">Return to the the Administration Menu</a><br>
 <br>
 <br>
 You may need to do a hard refresh (CTRL -&gt; F5) to see new text sizes and colours as your web browser may cache the Cascading Style Sheet.<br>
 <table width="97%" border="0" cellspacing="1" cellpadding="1" align="center" height="157">
    <tr> 
      <td height="185" align="center" bgcolor="<% = strBgColour %>" class="text"> <font color="<% = strTextColour %>">Background</font> <br>
        <br>
        <table width="98%" border="0" cellspacing="0" cellpadding="1" bgcolor="<% = strTableBorderColour %>">
          <tr> 
            <td> 
              <table cellspacing=0 cellpadding=2 width="100%" border=0>
                <tr bgcolor="<% = strTableTitleColour %>"> 
                  <td colspan=2 class="text"><font color="<% = strTextColour %>">Comments by <a href="mailto:">web wiz guide</a> on 12 July 2001 at 10:36</font></td>
                </tr>
                <tr bgcolor="<% = strTableColour %>"> 
                  <td colspan=2 class="text"><font color="<% = strTextColour %>">User's Comments</font></td>
                </tr>
                <tr bgcolor="<% = strTableTitleColour %>"> 
                  <td align=left width="50%" class="text"><font color="<% = strTextColour %>">United Kingdom</font></td>
                  <td align=right width="50%"><a href="http://www.webwizguide.info" target="_blank">http://www.webwizguide.info</a></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <br>
        <table width="85%" border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
          <tr> 
            <td align="center" height="27"> 
              <table width="100%" border="0" cellspacing="0" cellpadding="0" height="30">
                <tr> 
                  <td bgcolor="<% = strTableTitleColour %>" align="center" class="text"><font color="<% = strTextColour %>">Sign Form Colour</font></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
    </tr>
 </table>
</div>
<form method="post" name="frmConfiguration" action="configure_guestbook.asp" onSubmit="return CheckForm();">
  <table width="550" border="0" cellspacing="0" cellpadding="0" align="center" bgcolor="#000000">
    <tr> 
      <td width="491"> 
        
    <table border="0" align="center" cellpadding="4" cellspacing="1" width="550">
     <tr align="left" bgcolor="#FFFFFF"> 
      <td colspan="2" class="arial_sm2"><font size="2">*Indicates required fields</font></td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Guestbook Title Image Location<br> <font size="2">This is the image shown at the top of each page of the guestbook eg. Your web site logo</font></td>
      <td valign="top"> 
       <input type="text" name="titleImage" maxlength="65" value="<% = strTitleImage %>" size="35"> </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Background Colour *</td>
      <td valign="top"> 
       <input type="text" name="bg" maxlength="10" value="<% = strBgColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Text Colour*</td>
      <td valign="top"> 
       <input type="text" name="text" maxlength="10" value="<% = strTextColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Font Style</td>
      <td valign="top"> 
       <select name="FontType">
        <option value="Arial, Helvetica, sans-serif" <% If strTextType = "Arial, Helvetica, sans-serif" Then Response.Write("selected") %>>Arial, Helvetica, sans-serif</option>
        <option value="Times New Roman, Times, serif" <% If strTextType = "Times New Roman, Times, serif" Then Response.Write("selected") %>>Times New Roman, Times, serif</option>
        <option value="Courier New, Courier, mono" <% If strTextType = "Courier New, Courier, mono" Then Response.Write("selected") %>>Courier New, Courier, mono</option>
        <option value="Georgia, Times New Roman, Times, serif" <% If strTextType = "Georgia, Times New Roman, Times, serif" Then Response.Write("selected") %>>Georgia, Times New Roman, Times, serif</option>
        <option value="Verdana, Arial, Helvetica, sans-serif" <% If strTextType = "Verdana, Arial, Helvetica, sans-serif" Then Response.Write("selected") %>>Verdana, Arial, Helvetica, sans-serif</option>
        <option value="Geneva, Arial, Helvetica, san-serif" <% If strTextType = "Geneva, Arial, Helvetica, san-serif" Then Response.Write("selected") %>>Geneva, Arial, Helvetica, san-serif</option>
       </select> </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Font Size</td>
      <td valign="top"> 
       <select name="FontSize">
        <option value="10" <% If intTextSize = 10 Then Response.Write("selected") %>>10</option>
        <option value="11" <% If intTextSize = 11 Then Response.Write("selected") %>>11</option>
        <option value="12" <% If intTextSize = 12 Then Response.Write("selected") %>>12</option>
        <option value="13" <% If intTextSize = 13 Then Response.Write("selected") %>>13</option>
        <option value="14" <% If intTextSize = 14 Then Response.Write("selected") %>>14</option>
       </select>
       pixels</td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Table Background Colour* </td>
      <td valign="top"> 
       <input type="text" name="table" maxlength="10" value="<% = strTableColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Table Title Background Colour* </td>
      <td valign="top"> 
       <input type="text" name="tableTitle" maxlength="10" value="<% = strTableTitleColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Table Border Colour*</td>
      <td valign="top"> 
       <input type="text" name="tableBorder" maxlength="10" value="<% = strTableBorderColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Link Colour*</td>
      <td valign="top"> 
       <input type="text" name="links" maxlength="10" value="<% = strLinkColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Visited Link Colour*</td>
      <td valign="top"> 
       <input type="text" name="vLinks" maxlength="10" value="<% = strVisitedLinkColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">Mouse Over Link Colour*</td>
      <td valign="top"> 
       <input type="text" name="aLinks" maxlength="10" value="<% = strHoverLinkColour %>" size="10" > </td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">No of Comments Per Page<br> <font size="2">How many comments you want to be shown on each page of the guestbook</font></td>
      <td valign="top"> 
       <select name="ComPerPage">
        <option <% If intRecordsPerPage = 3 Then Response.Write("selected") %>>3</option>
        <option <% If intRecordsPerPage = 4 Then Response.Write("selected") %>>4</option>
        <option <% If intRecordsPerPage = 5 Then Response.Write("selected") %>>5</option>
        <option <% If intRecordsPerPage = 6 Then Response.Write("selected") %>>6</option>
        <option <% If intRecordsPerPage = 7 Then Response.Write("selected") %>>7</option>
        <option <% If intRecordsPerPage = 8 Then Response.Write("selected") %>>8</option>
        <option <% If intRecordsPerPage = 10 Then Response.Write("selected") %>>10</option>
        <option <% If intRecordsPerPage = 12 Then Response.Write("selected") %>>12</option>
        <option <% If intRecordsPerPage = 14 Then Response.Write("selected") %>>14</option>
        <option <% If intRecordsPerPage = 16 Then Response.Write("selected") %>>16</option>
        <option <% If intRecordsPerPage = 18 Then Response.Write("selected") %>>18</option>
        <option <% If intRecordsPerPage = 20 Then Response.Write("selected") %>>20</option>
        <option <% If intRecordsPerPage = 22 Then Response.Write("selected") %>>22</option>
        <option <% If intRecordsPerPage = 24 Then Response.Write("selected") %>>24</option>
       </select> </td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Maximum Number of Characters per Comment<br> <font size="2">This is the maximum allowed amount of comments allowed in comments posted in the guestbook</font></td>
      <td valign="top">
<select name="CharNo">
        <option <% If intMsgCharNo = 150 Then Response.Write("selected") %>>150</option>
        <option <% If intMsgCharNo = 175 Then Response.Write("selected") %>>175</option>
        <option <% If intMsgCharNo = 200 Then Response.Write("selected") %>>200</option>
        <option <% If intMsgCharNo = 250 Then Response.Write("selected") %>>250</option>
        <option <% If intMsgCharNo = 500 Then Response.Write("selected") %>>500</option>
        <option <% If intMsgCharNo = 750 Then Response.Write("selected") %>>750</option>
        <option <% If intMsgCharNo = 1000 Then Response.Write("selected") %>>1000</option>
        <option <% If intMsgCharNo = 2000 Then Response.Write("selected") %>>2000</option>
        <option <% If intMsgCharNo = 5000 Then Response.Write("selected") %>>5000</option>
        <option <% If intMsgCharNo = 10000 Then Response.Write("selected") %>>10,000</option>
       </select></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left"><p>Homepage URL<br>
       <font size="2">This allows the person posting comments to also attach the URL to their homepage as well. You may want this disabled to prevent dodgy links being posted.</font>
      </p>      </td>
      <td valign="top">On
       <input type="radio" name="URL" value="True" <% If blnURL = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="URL" value="False" <% If blnURL = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Email Address<br>
      <font size="2">This allows the person posting comments to also add their email address. You may wish to disable this to prevent spam spiders from finding email addresses.</font></td>
      <td valign="top">On
       <input type="radio" name="addEmail" value="True" <% If blnEmailAddress = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="addEmail" value="False" <% If blnEmailAddress = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF"> 
      <td align="left">
<p>Anti-Spam Cookies<br>
        <font size="2">This will mean a cookie is set on the users machine to stop them spamming the Guestbook with multiple comments.</font></p>
       </td>
      <td valign="top"> On 
       <input type="radio" name="Cookies" value="True" <% If blnCookieSet = True Then Response.Write "checked" %>> &nbsp;&nbsp;&nbsp;Off 
       <input type="radio" name="Cookies" value="False" <% If blnCookieSet = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Anti-Spam IP Blocking<br>
       <font size="2">This will mean the IP address of the user is checked to stop them spamming the Guestbook with multiple comments.</font></td>
      <td valign="top">On
       <input type="radio" name="IP" value="True" <% If blnIPBlocking = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="IP" value="False" <% If blnIPBlocking = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Remote Submission<br>
       <font size="2">This prevents spammers, advertisers, etc. from remotely submitting comments to your Guestbook, by checking the ASP Session ID.</font></td>
      <td valign="top">On
       <input type="radio" name="session" value="True" <% If blnSessionCheck = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="session" value="False" <% If blnSessionCheck = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Secuirty Images<br>
       <font size="2">This forces the user to enter a unique 6 digit security code before their comments are submitted to prevent auto form submission. Cookies and images need to be enabled on the users
       browser for this to work. </font></td>
      <td valign="top">On
       <input type="radio" name="secureImg" value="True" <% If blnSecurityImages = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="secureImg" value="False" <% If blnSecurityImages = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF">
      <td align="left">Comment Authorisation<br>
       <font size="2">This prevents spammers and unwanted comments as it requires the Guestbook admin to authorise the posted comments through the admin area before they are displayed in the Guestbook.</font> </td>
      <td valign="top">On
       <input type="radio" name="auth" value="True" <% If blnAuthorise = True Then Response.Write "checked" %>>
&nbsp;&nbsp;&nbsp;Off
<input type="radio" name="auth" value="False" <% If blnAuthorise = False Then Response.Write "checked" %>></td>
     </tr>
     <tr bgcolor="#FFFFFF" align="center"> 
      <td valign="top" colspan="2" class="arial"> 
       <p> 
        <input type="hidden" name="postBack" value="true">
        <input type="submit" name="Submit" value="Update Guestbook Configuration">
        <input type="reset" name="Reset" value="Clear Form">
       </p></td>
     </tr>
    </table>
      </td>
    </tr>
  </table>
</form>
<br>
</body>
</html>
